Subject: RE: bug#14914: 24.3.50; Menu item for `dired-hide-details-mode' should be `Hide/Show Details'

From: Drew Adams <[email-masked]>
Date: Fri, 19 Jul 2013 21:12:01 -0700 (PDT)

> > Either it should be called `Hide/Show Details' or the name should change
> > dynamically between `Hide Details' and `Show Details', depending on the
> > current state.
> 
> Is 'Toggle Details' acceptable?

How do you toggle a detail?  What does it mean?

`Toggle Hiding Details' (or `Toggle Showing Details') might be OK.

`Show/Hide Details' reflects the `Show/Hide' submenu of `Options'.

`Hide/UnHide Details' reflects item `Hide/UnHide Subdir' of the `Subdir'
menu in Dired (but UnHide is bad as written, for two reasons).

I prefer `Show/Hide Details' or `Hide/Show Details' (or `Show or Hide
Details' etc.), but the main point is that this item either shows hidden
details or hides the details if shown.  It does not just hide the details.